#include <ArduinoJson.h>
#include <ESP8266HTTPClient.h>
#include <ESP8266WiFi.h>

const char* ssid = "Name deines WLAN-Netzwerks";
const char* password =  "Dein WLAN-Passwort";

void setup() {
  Serial.begin(115200);
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.println("Ich verbinde mich mit dem Internet...");
  }
  Serial.println("Ich bin mit dem Internet verbunden!");
}

void loop() {
  if ((WiFi.status() == WL_CONNECTED)) {
    HTTPClient http;
    http.begin("http://api.open-notify.org/astros.json");
    int httpCode = http.GET();

    if (httpCode == 200) {
      String input = http.getString();
      StaticJsonDocument<768> doc;
      deserializeJson(doc, input);
      int number = doc["number"];
      Serial.println(number);
    }
  }
  delay(3600000); //1 Stunde delay
}
